---
title: "Get subscription info"
url: "https://docs.signnow.com/docs/manage-event-subscriptions/operations/get-v2-dashboard-event-subscriptions-subscription_id"
type: "endpoint"
section: "manage-event-subscriptions"
slug: "manage-event-subscriptions/operations/get-v2-dashboard-event-subscriptions-subscription_id"
method: "GET"
path: "/v2/event-subscriptions/{subscription_id}"
operation_id: "get-v2-dashboard-event-subscriptions-subscription_id"
authorization: "bearer"
---

# Get subscription info

`GET /v2/event-subscriptions/{subscription_id}`

This endpoint allows users to get detailed information about an event subscription by its ID.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `subscription_id` | string | Yes | ID of the subscription. Must match the pattern: [a-z0-9]{40}. |

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `include_event_count` | string | No | If set to `true`, `event_count` returns the number of `callback_response_log` entries. |

## Responses

### 200

Correct request

**Example** (`Correct request`)

```json
{
  "data": {
    "id": "19d209f7aa59418f996b81deb701697aa403fa72",
    "event": "document.open",
    "action": "callback",
    "active": true,
    "created": 1764244948,
    "version": 2,
    "entity_id": 552215426,
    "entity_type": "document",
    "event_count": null,
    "request_method": "post",
    "json_attributes": {
      "use_tls_12": true,
      "callback_url": "https://webhook.site/a0093533-766c-456e-b625-97592745216a",
      "docid_queryparam": false,
      "include_metadata": true
    },
    "application_name": "test_app",
    "entity_unique_id": "f1c71db945974e2b847b0580d21c386561b415a0",
    "event_subscription_owner_email": "greenanna070@gmail.com"
  }
}
```

### 400

Bad Request

**Example** (`Authorization error`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

### 403

Anauthorized 

**Example** (`Subscription not allowed`)

```json
{
  "errors": [
    {
      "code": 15006004,
      "message": "Event subscription is not allowed."
    }
  ]
}
```

### 404

Subscription not found.

**Example** (`Example 1`)

```json
{
  "errors": [
    {
      "code": 15006003,
      "message": "Event subscription not found."
    }
  ]
}
```

**Example** (`Non-existing subscription_id`)

```json
{
  "errors": [
    {
      "code": 15006003,
      "message": "Event subscription not found."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/event-subscriptions/{subscription_id}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/manage-event-subscriptions/operations/get-v2-dashboard-event-subscriptions-subscription_id*
